Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(14)

Issue 2894983002: An unknown role is considered a bug, should never occur (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 months ago by aleventhal
Modified:
1 month, 3 weeks ago
Reviewers:
dmazzoni
CC:
chromium-reviews, aboxhall, aboxhall+watch_chromium.org, nektar+watch_chromium.org, yuzo+watch_chromium.org, blink-reviews, nektarios, je_julie, dougt+watch_chromium.org, dmazzoni+watch_chromium.org, dtseng+watch_chromium.org, haraken, dmazzoni
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

An unknown internal role is considered a bug, should never occur. The AXUnknown role is still allowed on Mac, and is mapped when there is not a known role for the internal role. BUG=None Review-Url: https://codereview.chromium.org/2894983002 Cr-Commit-Position: refs/heads/master@{#474520} Committed: https://chromium.googlesource.com/chromium/src/+/d19ecfda89977aef11f98c9ca28547975dbdc8fe

Patch Set 1 #

Patch Set 2 : Try #

Patch Set 3 : Fix frameset tests #

Total comments: 2

Patch Set 4 : Remove useless comment #

Unified diffs Side-by-side diffs Delta from patch set Stats (+17 lines, -32 lines) Patch
M content/test/data/accessibility/html/frameset-expected-blink.txt View 1 2 2 chunks +2 lines, -2 lines 0 comments Download
M content/test/data/accessibility/html/frameset-expected-mac.txt View 1 2 1 chunk +2 lines, -2 lines 0 comments Download
M content/test/data/accessibility/html/frameset-expected-win.txt View 1 2 1 chunk +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/modules/accessibility/AXLayoutObject.cpp View 1 1 chunk +5 lines, -14 lines 0 comments Download
M third_party/WebKit/Source/modules/accessibility/AXNodeObject.cpp View 1 2 3 1 chunk +1 line, -11 lines 0 comments Download
M third_party/WebKit/Source/modules/accessibility/AXObjectImpl.cpp View 1 1 chunk +5 lines, -1 line 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 29 (24 generated)
aleventhal
Ready for review
1 month, 4 weeks ago (2017-05-23 21:59:56 UTC) #21
dmazzoni
lgtm https://codereview.chromium.org/2894983002/diff/40001/third_party/WebKit/Source/modules/accessibility/AXNodeObject.cpp File third_party/WebKit/Source/modules/accessibility/AXNodeObject.cpp (right): https://codereview.chromium.org/2894983002/diff/40001/third_party/WebKit/Source/modules/accessibility/AXNodeObject.cpp#newcode678 third_party/WebKit/Source/modules/accessibility/AXNodeObject.cpp:678: // Determine an accessibility role. This comment doesn't ...
1 month, 4 weeks ago (2017-05-24 21:57:02 UTC) #22
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2894983002/60001
1 month, 4 weeks ago (2017-05-24 23:39:31 UTC) #25
commit-bot: I haz the power
Committed patchset #4 (id:60001) as https://chromium.googlesource.com/chromium/src/+/d19ecfda89977aef11f98c9ca28547975dbdc8fe
1 month, 4 weeks ago (2017-05-25 01:56:34 UTC) #28
aleventhal
1 month, 3 weeks ago (2017-05-25 17:28:34 UTC) #29
Message was sent while issue was closed.
https://codereview.chromium.org/2894983002/diff/40001/third_party/WebKit/Sour...
File third_party/WebKit/Source/modules/accessibility/AXNodeObject.cpp (right):

https://codereview.chromium.org/2894983002/diff/40001/third_party/WebKit/Sour...
third_party/WebKit/Source/modules/accessibility/AXNodeObject.cpp:678: //
Determine an accessibility role.
On 2017/05/24 21:57:02, dmazzoni wrote:
> This comment doesn't really add much value. :)
> 
> Either add more info (like when this is called, whether subclasses override
it,
> what information is or isn't included in the determination) or delete the
> comment
> and let the method name speak for itself
> 

Yeah I'm not sure how that happened, duh.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 25c286973